package staffrepository

import (
	"legalgo-BE-go/database"
	staffdomain "legalgo-BE-go/internal/domain/staff"
)

type impl struct {
	db *database.DB
}

type Staff interface {
	GetStaffByEmail(string) (*staffdomain.Staff, error)
	GetStaffByID(string) (*staffdomain.Staff, error)
	Create(staffdomain.Staff) error
	Update(staffdomain.Staff) error
}

func New(db *database.DB) Staff {
	return &impl{db}
}
